%define rel 1

Summary:	Plasma applet for managing the user's Telepathy account presence
Name:		telepathy-kde-presence-applet
Version:	0.2.0
Release:	%mkrel %rel
Url:		https://projects.kde.org/projects/playground/network/telepathy/telepathy-presence-applet
Source0:	ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%name-%version.tar.bz2
License:	GPLv2+
Group:		Graphical desktop/KDE
BuildRequires:	kdelibs4-devel
Requires:	telepathy-presence-dataengine
Requires:       telepathy-contact-list
# Package rename 
# Added on cauldron for the 0.2 switch (Mageia 2)
Provides:       telepathy-presence-applet = %version-%release
Obsoletes:      telepathy-presence-applet < 0.2.0-0

#Needed for Jabber
Requires: telepathy-gabble
# Spell check support
Requires: iso-codes
# needed by MSN
Suggests: telepathy-butterfly
# various protocol provided by libpurple
Suggests: telepathy-haze
# needed for local XMPP
Suggests: telepathy-salut
# needed for irc
Suggests: telepathy-idle
# needed for voip
Suggests: gstreamer0.10-farsight2


%description
A Plasma applet for managing the user's Telepathy account presence.

%files
%_kde_appsdir/plasma/plasmoids/org.kde.telepathy-presence
%_kde_datadir/kde4/services/plasma-applet-telepathy-presence.desktop

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kde4

%install
%makeinstall_std -C build





%changelog
* Wed Nov 30 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.2.0-1mdv2012.0
+ Revision: 735646
- imported package telepathy-kde-presence-applet



* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173221
- Update tarball to 0.2.0
- Rename package name to match upstream name

* Fri Oct 07 2011 mikala <mikala> 0.1-0.git20111005.1.mga2
+ Revision: 152773
- Update git snapshot
- Update tarball
- fix files list

* Mon Jul 04 2011 dmorgan <dmorgan> 0.0-0.git20110624.4.mga2
+ Revision: 118560
- Enable protocols

* Sat Jun 25 2011 dmorgan <dmorgan> 0.0-0.git20110624.3.mga2
+ Revision: 113326
- Enhance requires

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.2.mga2
+ Revision: 112990
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110405.2.mga1
+ Revision: 86702
- Require telepathy-presence-dataengine

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110405.1.mga1
+ Revision: 86660
- imported package telepathy-presence-applet

